Next: verbose, Previous: help, Up: tar invocation [Contents][Index]

### 3.6 Obtaining GNU `tar` default values

GNU `tar` has some predefined defaults that are used when you do not explicitly specify another values. To obtain a list of such defaults, use `--show-defaults` option. This will output the values in the form of `tar` command line options:

    $ tar --show-defaults
    --format=gnu -f- -b20 --quoting-style=escape
    --rmt-command=/etc/rmt --rsh-command=/usr/bin/rsh

Notice, that this option outputs only one line. The example output above has been split to fit page boundaries.

The above output shows that this version of GNU `tar` defaults to using ‘`gnu`’ archive format (see Formats), it uses standard output as the archive, if no `--file` option has been given (see file tutorial), the default blocking factor is 20 (see Blocking Factor). It also shows the default locations where `tar` will look for `rmt` and `rsh` binaries.